Jump to content

ronjonp

Members
  • Content count

    961
  • Joined

  • Last visited

Community Reputation

10 Good

About ronjonp

  • Rank
    Associate

Personal Information

  • Location
    Colorado

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2018
  • First AutoCAD Version
    AutoCAD R11

My Computer

  • Operating System
    Windows 10

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Post a sample drawing of what you're trying to plot. I'd still bet that sheet sets would be your ticket.
  2. I don't understand why you'd put an elevation of 901 on layer 902 (/= 901 902)
  3. Have you ever used sheet set manager and defined pagesetups .. that would save you a ton of time.
  4. Here you go... (defun c:foo (/ cp p s x) ;; RJP » 2018-08-15 ;; Puts plines and lines closest vertice to a common picked point (cond ((and (setq p (getpoint "\nPick common point: ")) (setq s (ssget "_:L" '((0 . "LINE,LWPOLYLINE")))) ) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq cp (car (vl-sort (list (vlax-curve-getstartpoint e) (vlax-curve-getendpoint e)) '(lambda (r j) (< (distance r p) (distance j p))) ) ) ) (entmod (mapcar '(lambda (x) (cond ((equal (list (car cp) (cadr cp)) (cdr x) 1e- (cons (car x) p)) (x) ) ) (entget e '("*")) ) ) ) ) ) (princ) )
  5. Are you wanting to rotate all the objects? Your initial question only mentions text.
  6. ronjonp

    Block Insert Lisp

    You could also try something like this .. but agreed 250,000 blocks is insane. (defun c:foo (/ p d) (cond ((and (setq d (getfiled "\nPick a block to insert: " (if (findfile "G:\\DRAFTERS\\Casework") "G:\\DRAFTERS\\Casework" (getvar 'dwgprefix) ) "dwg" 8 ) ) (setq p (getpoint "\nPick Lower Left Corner of the cabinet: ")) ) (command "_.insert" d p "" "" "") ) ) (princ) )
  7. ronjonp

    Subtract of layers

    Glad we got it sorted
  8. ronjonp

    Subtract of layers

    Try this: (defun c:foo (/ a l2k l2s x) ;; RJP » 2018-08-09 ;; Subtract one layer from another keeping pieces separate (defun _x (s) (cond ((= 'pickset (type s)) (mapcar 'vlax-ename->vla-object (mapcar 'cadr (ssnamex s))))) ) (cond ((and (setq l2k (_x (ssget "_x" '((0 . "3dsolid,region") (8 . "~bolts"))))) (setq l2s (_x (ssget "_x" '((0 . "3dsolid,region") (8 . "bolts"))))) ) (foreach y l2s (if (vlax-write-enabled-p y) (foreach x l2k (cond ((vlax-write-enabled-p x) (setq a (vla-copy y)) (vla-boolean x acsubtraction a))) ) ) ) ) ) (princ) ) (vl-load-com)
  9. ronjonp

    Subtract of layers

    I see what you're saying ... gimme a bit.
×